org.vertx.java.core.http.impl.ws

## Class WebSocketDisconnectionNegotiator

- java.lang.Object
- - org.vertx.java.core.http.impl.ws.WebSocketDisconnectionNegotiator

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

    public class WebSocketDisconnectionNegotiator
    extends java.lang.Object
    implements org.jboss.netty.channel.ChannelDownstreamHandler, org.jboss.netty.channel.ChannelUpstreamHandler

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`org.jboss.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketDisconnectionNegotiator()`

### Method Summary

Methods
`void` `closeRequested(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelStateEvent e)`
`void` `handleDownstream(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelEvent e)`
`void` `handleUpstream(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.ChannelEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketDisconnectionNegotiator

    public WebSocketDisconnectionNegotiator()

### Method Detail

#### handleUpstream

    public void handleUpstream(org.jboss.netty.channel.ChannelHandlerContext ctx,
                      org.jboss.netty.channel.ChannelEvent e)
                        throws java.lang.Exception

Specified by:
  `handleUpstream` in interface `org.jboss.netty.channel.ChannelUpstreamHandler`
Throws:
  `java.lang.Exception`

#### handleDownstream

    public void handleDownstream(org.jboss.netty.channel.ChannelHandlerContext ctx,
                        org.jboss.netty.channel.ChannelEvent e)
                          throws java.lang.Exception

Specified by:
  `handleDownstream` in interface `org.jboss.netty.channel.ChannelDownstreamHandler`
Throws:
  `java.lang.Exception`

#### closeRequested

    public void closeRequested(org.jboss.netty.channel.ChannelHandlerContext ctx,
                      org.jboss.netty.channel.ChannelStateEvent e)
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`